<?php
session_start();
error_reporting(0);
include("config.php");
include("funciones.php");
$validacion = validacion_usuario($con);
if($validacion == 1){
	$id_eli =$_POST['id'];
	$imagen_cabecera =$_POST['img1'];
	$imagen_interna =$_POST['img2'];
	$imagen_redes =$_POST['img3'];
	$id_eli_v = filter_var($id_eli,  FILTER_SANITIZE_STRING);
	$imagen_cabecera_v = filter_var($imagen_cabecera,  FILTER_SANITIZE_STRING);
	$imagen_interna_v = filter_var($imagen_interna,  FILTER_SANITIZE_STRING);
	$imagen_redes_v = filter_var($imagen_redes,  FILTER_SANITIZE_STRING);

	if($id_eli_v && $imagen_cabecera_v && $imagen_interna_v && $imagen_redes_v){
	 	$id_eli_real = mysqli_real_escape_string($con,$id_eli_v);
	 	$sql_eli = "delete from noticias where id=".$id_eli_real;		
		if (mysqli_query($con,$sql_eli)){			   			    	
			    $directorio = "img/noticias/";	
				$imagen_mobile="mobile_".$imagen_cabecera_v;				
				/*chmod($directorio.$imagen_cabecera_v, 0777);
				chmod($directorio.$imagen_interna_v, 0777);
				chmod($directorio.$imagen_redes_v, 0777);
				eliminamos la imagen pequeña que comienza con el prefijo "mobile_"
				chmod($directorio.$imagen_mobile_v, 0777);
				unlink($directorio.$imagen_cabecera_v);
				unlink($directorio.$imagen_mobile_v);
				unlink($directorio.$imagen_interna_v);
				unlink($directorio.$imagen_redes_v);*/?>
				<script type="text/javascript">
					window.location.href = "noticias.php";
				</script>
			<?php
			}else{
				?>
				<script>
				alert("Error al ejecutar la consulta");
				window.location.href = "noticias.php";
				</script>
				<?php
			}		
	}else{
		?>
		<script>
		window.location.href = "noticias.php";
		alert("Lo sentimos, los datos son íncompletos o son incorrectos");
		</script>
		<?php
	}
}else{
		?>
		<script>
		window.location.href = "noticias.php";
		alert("Lo sentimos, Usted no tiene acceso a esta página");
		</script>
		<?php
}	
?>
	
